#!/bin/bash
#安装usb设备访问权限,如果是root用户登录,可以不安装
#进入当前目录
workdir=$(cd $(dirname $0); pwd)	
cd $workdir
#echo "path->$workdir"
#让agi-ub-access目录具有读写执行权限
sudo chmod 777 agi-ub-access -R

#复制agicall-ub.rules到系统usb设备运行规则来允许普通用户操作写入数据到usb设备
#因为linux的USB设备默认用户不能写入操作,如果是root用户登录,可以不安装
#sudo cp -vf $workdir/agi-ub-access/txcall-ub.rules /etc/udev/rules.d/
sudo cp -f $workdir/agi-ub-access/txcall-ub.rules /etc/udev/rules.d/
#重新加载usb设备权限规则
#sudo systemctl restart systemd-udevd.service
sudo udevadm control --reload
sudo udevadm control --reload-rules
sudo service udev reload
sudo service udev restart
#sudo udevadm trigger
#提示完成
for i in 3 2 1 0
do
    echo "[$i]---安装完成,请重新插入唐信电话录音设备---"
    sleep 1
done


